using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    /// <summary>用户隶属用户组关系表</summary>
    [Description("用户隶属用户组关系表")]
	[APT.Infrastructure.Utility.Redis("ID")]
	[IgnoreT4]public class T_FM_USER_BELONG_USER_GROUP: MesEntityBase
	{
		/// <summary>用户ID</summary>
		[Description("用户ID")]
		public Guid USER_ID { get; set; }


		/// <summary>角色组ID</summary>
		[Description("角色组ID")]
		public Guid BELONG_USER_GROUP_ID { get; set; }


		/// <summary>导航：用户</summary>
		[Description("导航：用户")]
		public virtual T_FM_USER Nav_User { get; set; }


		/// <summary>导航：所属用户组</summary>
		[Description("导航：所属用户组")]
		public virtual T_FM_USER_GROUP Nav_BelongUserGroup { get; set; }


	}
}
